.viewport
  perspective: 400px
  float: left
  width: 500px

.cube
  --cube-width: 150px
  --cube-offset: var(--cube-width) / 2
  //position: relative
  transform-style: preserve-3d
  transform: translateZ(-100px) translateY(50px)

  div
    width: var(--cube-width)
    height: var(--cube-width)
    position: absolute
    opacity: .999

    background-color: #742
    background-image: url(https://clipartart.com/images/minecraft-grass-block-clipart-5.jpg)
    background-size: 100% 100%

    &.front
      transform: translateZ(calc(var(--cube-offset)))

    &.back
      transform: translateZ(calc(-1 * var(--cube-offset)))

    &.top
      transform: rotateX(90deg) translateZ(calc(var(--cube-offset)))
      background-color: #7b6

      background-image: linear-gradient(#7b6 20%, #5c4 20%, #5c4 40%, #6b4 40%, #6b4 60%, #5a4 60%, #5a4 80%, #7b6 80%)

    &.bottom
      transform: rotateX(90deg) translateZ(calc(-1 * var(--cube-offset)))

    &.right
      transform: rotateY(90deg) translateZ(calc(var(--cube-offset)))

    &.left
      transform: rotateY(-90deg) translateZ(calc(var(--cube-offset)))
